Package: sushi / 1.4.0+git20160822+dfsg-4.1

maki-revert-3bb2b23.diff Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
# Description: revert upstream maki commit 3bb2b23 and re-enable gupnp
#  support as gupnp deadlock was fixed time ago.
# gupnp bug report:
#  https://bugzilla.gnome.org/show_bug.cgi?id=667494
# upstream commit:
#  https://github.com/sushi-irc/maki/commit/3bb2b239c1904f9373d0bf8250ae451cad70d647
# Author: Devid Antonio Filoni <d.filoni@ubuntu.com>
# Last-Update: 2016-08-22
Index: sushi-1.4.0+git20160822+dfsg/maki/source/plugins/upnp.c
===================================================================
--- sushi-1.4.0+git20160822+dfsg.orig/maki/source/plugins/upnp.c
+++ sushi-1.4.0+git20160822+dfsg/maki/source/plugins/upnp.c
@@ -272,8 +272,7 @@ init (void)
 #else
 		miniupnpc_dev = upnpDiscover(1000, NULL, NULL, 0);
 #endif
-		g_assert(miniupnpc_dev != NULL);
-		//g_assert(error == UPNPDISCOVER_SUCCESS);
+		g_assert(error == UPNPDISCOVER_SUCCESS);
 		UPNP_GetValidIGD(miniupnpc_dev, &miniupnpc_urls, &miniupnpc_datas, addr, sizeof(addr));
 	}
 #endif
Index: sushi-1.4.0+git20160822+dfsg/maki/wscript
===================================================================
--- sushi-1.4.0+git20160822+dfsg.orig/maki/wscript
+++ sushi-1.4.0+git20160822+dfsg/maki/wscript
@@ -71,25 +71,23 @@ def configure (ctx):
 		mandatory = False
 	)
 
-	# FIXME https://bugzilla.gnome.org/show_bug.cgi?id=667494
-
-	have_gupnp = False
-	#ctx.check_cfg(
-	#	package = 'gupnp-1.0',
-	#	args = ['--cflags', '--libs'],
-	#	atleast_version = '0.17.2',
-	#	uselib_store = 'GUPNP',
-	#	mandatory = False
-	#)
+	have_gupnp = \
+	ctx.check_cfg(
+		package = 'gupnp-1.0',
+		args = ['--cflags', '--libs'],
+		atleast_version = '0.17.2',
+		uselib_store = 'GUPNP',
+		mandatory = False
+	)
 
-	have_gupnp_igd = False
-	#ctx.check_cfg(
-	#	package = 'gupnp-igd-1.0',
-	#	args = ['--cflags', '--libs'],
-	#	atleast_version = '0.2.0',
-	#	uselib_store = 'GUPNP_IGD',
-	#	mandatory = False
-	#)
+	have_gupnp_igd = \
+	ctx.check_cfg(
+		package = 'gupnp-igd-1.0',
+		args = ['--cflags', '--libs'],
+		atleast_version = '0.2.0',
+		uselib_store = 'GUPNP_IGD',
+		mandatory = False
+	)
 
 	have_miniupnpc = \
 	ctx.check_cc(